Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions | Variables
ossl_pkey_dh.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Data Structures
struct | dh_blocking_gen_arg

## Macros
#define | GetPKeyDH(obj, pkey)
#define | GetDH(obj, dh)

## Functions
VALUE | ossl_dh_new (EVP_PKEY *pkey)
void | Init_ossl_dh (void)

## Variables
VALUE | cDH
VALUE | eDHError

## Macro Definition Documentation

## ◆ GetDH

#define GetDH | ( |  | obj,
|  |  | dh
| ) |  |

Value:
do { \
EVP_PKEY *_pkey; \
GetPKeyDH((obj), _pkey); \
(dh) = EVP_PKEY_get0_DH(_pkey); \
} while (0)

Definition at line 20 of file ossl_pkey_dh.c.

## ◆ GetPKeyDH

#define GetPKeyDH | ( |  | obj,
|  |  | pkey
| ) |  |

Value:
do { \
GetPKey((obj), (pkey)); \
if (EVP_PKEY_base_id(pkey) != EVP_PKEY_DH) { /* PARANOIA? */ \
ossl_raise(rb_eRuntimeError, "THIS IS NOT A DH!") ; \
} \
} while (0)

Definition at line 14 of file ossl_pkey_dh.c.

## Function Documentation

## ◆ Init_ossl_dh()

void Init_ossl_dh | ( | void |  | ) |

Definition at line 576 of file ossl_pkey_dh.c.

References cDH, cPKey, eDHError, eOSSLError, ePKeyError, mOSSL, mPKey, rb_cObject, rb_define_class_under(), rb_define_module_under(), and rb_define_singleton_method().

## ◆ ossl_dh_new()

VALUE ossl_dh_new | ( | EVP_PKEY * | pkey | ) |

Definition at line 58 of file ossl_pkey_dh.c.

References obj.

## Variable Documentation

## ◆ cDH

VALUE cDH

Definition at line 29 of file ossl_pkey_dh.c.

Referenced by Init_ossl_dh().

## ◆ eDHError

VALUE eDHError

Definition at line 30 of file ossl_pkey_dh.c.

Referenced by Init_ossl_dh().

obj
const VALUE VALUE obj
Definition: rb_mjit_min_header-2.7.0.h:5742
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:920